Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 980477 - ovirt-firstboot may wipe RHEV Storage Domain if kernel changes device order
Summary: ovirt-firstboot may wipe RHEV Storage Domain if kernel changes device order
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ovirt-node
Version: 6.4
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Mike Burns
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 889071
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-02 13:54 UTC by Idith Tal-Kohen
Modified: 2016-04-26 16:12 UTC (History)
22 users (show)

Fixed In Version: ovirt-node-2.5.0-17.el6_4.8
Doc Type: Bug Fix
Doc Text:
The kernel ordering of /dev/sdX devices is not necessarily deterministic. When booting the Hypervisor using PXE with the storage_init parameter set to a /dev/sdX device it was therefore possible to accidentally delete data from Red Hat Enterprise Virtualization storage domains. Additional safe guards have been added to check that the device specified in the storage_init parameter does not contain a storage domain. Installation is blocked where this is the case. To use the storage_init parameter in a deterministic manner specify devices using the paths presented under /dev/mapper/ instead of paths of the form /dev/sdX.
Clone Of:
Environment:
Last Closed: 2013-07-16 15:29:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1077 0 normal SHIPPED_LIVE ovirt-node bug fix and enhancement update 2013-07-16 19:29:13 UTC

Description Idith Tal-Kohen 2013-07-02 13:54:31 UTC
This bug has been copied from bug #889071 and has been proposed
to be backported to 6.4 z-stream (EUS).

Comment 16 Ying Cui 2013-07-10 08:50:46 UTC
The bug status is MODIFIED, after devel change it to 'ON-QA', we will change it to 'verified' according to comment 15.

Comment 17 Ying Cui 2013-07-15 12:02:30 UTC
Change it to 'Verified' according to comment 15.

Comment 19 errata-xmlrpc 2013-07-16 15:29:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1077.html


Note You need to log in before you can comment on or make changes to this bug.